/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.util;


public final class EnvConstants {

  private EnvConstants() { }

  public static final String CORE_HB_CONF_NAME = "hibernate-configuration:core";
  public static final String CORE_HB_SESSION_FACTORY_NAME = "hibernate-session-factory:core";
  public static final String CORE_HB_SESSION_NAME = "hibernate-session:core";
  public static final String CORE_RUNTIME_SESSION_NAME = "runtime-session:core";
  public static final String CORE_QUERIER_SESSION_NAME = "querier-session:core";

  public static final String HISTORY_HB_CONF_NAME = "hibernate-configuration:history";
  public static final String HISTORY_HB_SESSION_FACTORY_NAME = "hibernate-session-factory:history";
  public static final String HISTORY_HB_SESSION_NAME = "hibernate-session:history";
  public static final String HISTORY_QUERIER_SESSION_NAME = "querier-session:history";

  public static final String RUNTIME_DB_SESSION_TAG = "runtime-db-session";
  public static final String QUERIER_DB_SESSION_TAG = "querier-db-session";

  public static final String UUID_GENERATOR_NAME = "uuid-generator";

  public static final String DEFAULT_QUERIER = "queryList";
}


